Remove unnecessary requires from app
authorAndy Allan <git@gravitystorm.co.uk>
Wed, 6 Feb 2019 11:25:43 +0000 (12:25 +0100)
committerAndy Allan <git@gravitystorm.co.uk>
Wed, 6 Feb 2019 11:26:30 +0000 (12:26 +0100)
app/controllers/oauth_controller.rb
app/models/client_application.rb
app/models/concerns/geo_record.rb

index 0954071..225fc06 100644 (file)
@@ -1,5 +1,3 @@
-require "oauth/controllers/provider_controller"
-
 class OauthController < ApplicationController
   include OAuth::Controllers::ProviderController
 
index d11942b..5dafaaa 100644 (file)
@@ -30,8 +30,6 @@
 #  client_applications_user_id_fkey  (user_id => users.id)
 #
 
-require "oauth"
-
 class ClientApplication < ActiveRecord::Base
   belongs_to :user
   has_many :tokens, :class_name => "OauthToken", :dependent => :delete_all
index dbda296..91533ec 100644 (file)
@@ -1,5 +1,3 @@
-require "delegate"
-
 module GeoRecord
   extend ActiveSupport::Concern